extends Control

@onready var questBlockId = 0
@onready var questTitleObj = $QuestTitle
@onready var questObjectivesObj = $QuestObjectives
@onready var questLongDescriptionObj = $QuestLongDescription

var questTitle = {
	1:"The first quest title",
	2:"The second quest title",
	3:"This is the third quest title"
}
var questObjectives = {
	1: "This is the quest objective text",
	2: "Another quest objective text",
	3: "Wow. A third quest objective text"
}
var questLongDescription = {
	1: "This is a relatively looooooooooooong description text of the first quest objectives.",
	2: "Once upon a time there was an incredibly long text which was the description of the second quest",
	3: "One could write a very long sentence with just three words, provided that those words are very long indeed."
}

func add_Quest_To_List(questId:int):
	if(questTitle.has(questId)): #check if a quest with this ID does exist
		if (questObjectives.has(questId)):
			if(questLongDescription.has(questId)):
				questBlockId = questId #setting this Id helps find/sort quests in QuestSystem
				questTitleObj.set_text(questTitle.get(questId))
				questObjectivesObj.set_text(questObjectives.get(questId))
				questLongDescriptionObj.set_text(questLongDescription.get(questId))
				name = "QuestId_"+str(questId)+"_Block" #changes the quest block's name to make it easier to remove when quest is complete
			else:
				print("Error: quest's long description not found.")
				queue_free() # Destroy the current node
		else:
			print("Error: quest's objectives not found.")
			queue_free()
	else:
		print("Error: quest's title not found.")
		queue_free()
