extends Control
var questBlock = preload("res://QuestBlock.tscn")
@onready var questContainer = $VBoxContainer
var currentQuestBlocks
var isQuestPresent = false

func _on_check_button_toggled(toggled_on):
	if toggled_on: #Checks if already present and if not, adds a new quest block
		addQuestBlock(1)
	else: #finds and removes quest block
		removeQuestBlock(1)

func _on_check_button_2_toggled(toggled_on):
	if toggled_on:
		addQuestBlock(2)
	else:
		removeQuestBlock(2)

func _on_check_button_3_toggled(toggled_on):
	if toggled_on:
		addQuestBlock(3)
	else:
		removeQuestBlock(3)

func addQuestBlock(questId:int):
	if !isQuestIdActive(questId): #If this questId doesn't exist, add quest block
		var newQuestBlock = questBlock.instantiate()
		questContainer.add_child(newQuestBlock)
		newQuestBlock.add_Quest_To_List(questId)
		questContainer.queue_sort() #forces a rearrange of the Container

func removeQuestBlock(questId:int):
#Check if this questId is shown. If so, we delete it.
	if isQuestIdActive(questId): #if the quest is present, delete it.
		for questBlockChild in questContainer.get_children():
			if (questBlockChild.questBlockId == questId):
				questBlockChild.queue_free()
				questContainer.queue_sort() #forces a rearrange of the Container

func isQuestIdActive(questId:int):
	isQuestPresent = false #check within each child of Container if this questId exists.
	if (questContainer.get_child_count() != 0): #if there are any child questblocks
		for questBlockChild in questContainer.get_children():
			if (questBlockChild.questBlockId == questId):
				isQuestPresent = true #this questId is already shown so we won't repeat
	return isQuestPresent
